Multiples versiones de PHP en VestaCP [PHP Selector]

————-Entrada Actualizada con el instalador beta 0.2.2 LEER MAS ABAJO————-
– Lo que este tachado es por que hace referencia una versión antigua del script.

He estado “toqueteando” vestacp y de paso centos 7 y me a dado por hacer un php selector, no es la gran cosa claro esta, apenas unas pocas lineas de código que básicamente lo que hacen es añadir unos templates nuevos a vesta e instalar 3 versiones php extra.

testvestacp


El script es muy básico ( aún ) pero puede mejorar, solo lo he probado en centos 7 por lo tanto he añadido una función que limite la ejecución de este script en centos 7, aunque teóricamente funciona en centos 6 ya que usa los mismos repos e instala las mismas versiones de PHP pero hasta que no lo pueda probar en centos 6 no voy a añadirle al installer .

En pocas palabras:

Versión 0.1 beta
– Instala PHP 7, php 5.6 y php 5.5 en centos.
– Clona el template default de fastcgi.
– No hace nada más de momento solo ver si tienes centos 7.

Más adelante espero añadirle más funciones, tengo ya varios scripts que he probado estos días para añadir php 5.2 a vestacp y que funciona bastante bien, el problema es que ya remi no da soporte a esa versión desde hace algunos meses así que hay que compilarla, el compilador funciona sin problemas pero, tarda lo suyo así que de momento esa parte del script no la añadiré.

Por lo demás solo tengo que decir esto ” Úsenlo bajo su propio riesgo” lo he probado y funciona pero no esta listo para instalarse en servidores en producción, más que nada por si en ese servidor han hecho upgrade al php, el script solo a sido probado en servidores con centos 7 + php 5.4 o sea que si han hecho upgrade a su versión de php es mejor no ejecutarlo de momento o hasta que le añada más funciones para detectar la versión de php instalada entre otras cosas ( por algo pone beta 0.1 )

Por lo demás pueden probarlo en sus entornos de de desarrollo descargando y ejecutando este script:
==============================================================================

VestaCP varias versiones de PHP

Instalador beta 0.2.3

phpinstaller(1)
wget http://mirror.skamasle.com/vestacp/PHP/sk-phpinstaller_beta02_3.sh
bash sk-phpinstaller_beta02_3.sh
 
Beta 0.2.3
- Algunos cambios en las rutas
- Usamos enlaces simbólicos en vez de descargar algunos tpl
 
Beta 0.2.2
Fixeados algunos bugs en centos 6
Soporta centos 6 y centos 7
Detecta versión de php instalada actualmente para omitirla

Con eso eso debería funcionar, espero sacar algo de tiempo la próxima semana para hacerle algunas mejoras y también hacerlo funcionar en ubuntu.

5 opiniones en “Multiples versiones de PHP en VestaCP [PHP Selector]”

  1. He estado mirando VestaCP y probándolo en VMs con Ubuntu Server 14.04 pero aún no me decido si instalarlo en un servidor de producción por la cantidad de bugs reportados en su github.

  2. Hola

    No veo muchos problemas en vesta, al menos lo he instalado en muchos servidores en producción sin problema alguno, los bugs que puede tener son menores, al menos en centos 6 funciona muy bien al igual que en centos7, en debian y ubuntu tampoco veo grandes problemas para poder tenerlo en producción, es completamente estable.

  3. Ah, gracias por la respuesta. Es muy posible que le de una posibilidad en cuanto haga un upgrade al servidor de producción, de momento estaré probándolo en VM.

  4. Y sigue así con respecto al blog, me están encantando muchas entradas, sobretodo las de WordPress más rápido y SysAdmin 😉

    Un saludo

Comentarios cerrados.